//tag::ref-doc[]
= Transform Processor

Transformer processor allows you to convert the message payload structure based on a SpEL expression.

Here is an example of how you can run this application.

[source,shell]
....
java -jar transform-processor-kafka-<version>.jar \
    --spel.function.expression=payload.toUpperCase()
....

Change kafka to rabbit if you want to run it against RabbitMQ.


== Payload

The incoming message can contain any type of payload.

== Options

https://github.com/spring-cloud/spring-functions-catalog/tree/main/function/spring-spel-function#configuration-options[See function catalog for configuration options]

//end::ref-doc[]
